/*

Copyright (C) 2011.  All rights reserved.
This software is the intellectual property of Matthew William Coan.


Author: Matthew William Coan
Date: Sat Dec 22 00:35:37 EST 2012

*/

#include "daemon.h"

using namespace std;

int
main(int argc, char ** argv, char ** envp)
{
   try {
      daemon_tools::Daemon testd("testd");
      testd.run();
   }
   catch(...) {
      cerr << "Unknown exception..." << endl;
      exit(1);
   }

   return 0;
}
